Foreman - Bug #6890

Puppet environment cannot be edited when name is only nhumeric
08/01/2014 12:22 PM - Dominic Cleal

Status: Closed

Priority: Low

Assignee:

Category: Web Interface

Target version: 1.7.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1126033 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1126033
Description of problem:

Puppet-environment allows creation of names with numeric values, but fails to edit.
The Ul states that "only alhanumeric and no spaces”.
tail -f /var/log/foreman/production.log

Processing by EnvironmentsController#edit as */*

Parameters: {"id"=>"454981231"}

Rendered common/404.html.erb within layouts/application (1.9ms)
Rendered layouts/base.html.erb (2.2ms)

Completed 404 Not Found in 46ms (Views: 7.8ms | ActiveRecord: 3.9ms)

Version-Release number of selected component (if applicable):
Sat6-GA-snap3

How reproducible:
when using numeric values for puppet-environment.

Steps to Reproduce:
1.
2.
3.

Actual results:
Fails to edit an puppet-environment when it's a numeric value.

Expected results:
From the Ul message it looks like only alphanumeric values are allowed.

Additional info:

Related issues:

Related to Foreman - Bug #6914: puppet class with numeric name can neither be... Closed 08/04/2014
Related to Foreman - Feature #4386: implement gem friendly_id to simply find ... Closed 02/19/2014
History

#1 - 08/01/2014 12:23 PM - Dominic Cleal

- Category set to Web Interface

#2 - 08/04/2014 10:14 AM - Dominic Cleal

- Related to Bug #6914: puppet class with numeric name can neither be edited nor deleted. added
https://bugzilla.redhat.com/show_bug.cgi?id=1126033

#3 - 11/10/2014 03:24 AM - Dominic Cleal
- Related to Feature #4386: implement gem friendly_id to simply find by id, name, label, etc added

#4 - 11/10/2014 03:24 AM - Dominic Cleal
- Status changed from New to Closed
- Target version set to 1.7.2

- translation missing: en.field_release set to 21

Fixed via #4386.
